puppet manifests for redmine
Puppet Ruby HTML
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
manifests
spec
templates
.gitignore
.travis.yml
CONTRIBUTING.md
Gemfile
README
Rakefile

README

Puppet Redmine module
====

This module is meant to deploy a redmine setup, including:
* apache instance
* vhost config
* passenger integration

This module should work on:
* CentOS 5.4 and up
* CentOS 6.x
* Archlinux latest
* Debian 6.0.x (Partial, lacks functional vhost config)

Requirements:
* a database backend for redmine to use

Dependencies:
* apache module: https://github.com/simonsd/puppet-apache
* vhost module: https://github.com/simonsd/puppet-vhost
* passenger module: https://github.com/simonsd/puppet-passenger

NOTE:
The redmine is installed from a tarball, included in the repo.
It is based on the official 1.2.1 tarball, but is patched to allow for private comments on issues.
More about the patch can be found here: http://www.redmine.org/issues/1554